<?php

namespace App\Entity;

use DateTimeInterface;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\CommentRepository")
 */
class Comment {
    /**
     * @ORM\Id() @ORM\ManyToOne(targetEntity="App\Entity\Wish", inversedBy="comments")
     * @ORM\JoinColumn(nullable=false)
     */
    private $wish;

    /**
     * @ORM\Id() @ORM\ManyToOne(targetEntity="App\Entity\User", inversedBy="comments")
     * @ORM\JoinColumn(nullable=false)
     */
    private $user;

    /**
     * @ORM\Column(type="datetime")
     */
    private $date;

    /**
     * @ORM\Column(type="boolean")
     */
    private $anonymous;

    /**
     * @ORM\Column(type="text")
     */
    private $content;

    public function getWish (): ?Wish {
        return $this->wish;
    }

    public function setWish (?Wish $wish): self {
        $this->wish = $wish;

        return $this;
    }

    public function getUser (): ?User {
        return $this->user;
    }

    public function setUser (?User $user): self {
        $this->user = $user;

        return $this;
    }

    public function getDate (): ?DateTimeInterface {
        return $this->date;
    }

    public function setDate (DateTimeInterface $date): self {
        $this->date = $date;

        return $this;
    }

    public function getAnonymous (): ?bool {
        return $this->anonymous;
    }

    public function setAnonymous (bool $anonymous): self {
        $this->anonymous = $anonymous;

        return $this;
    }

    public function getContent (): ?string {
        return $this->content;
    }

    public function setContent (string $content): self {
        $this->content = $content;

        return $this;
    }
}
