<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\ConfigNotificationRepository")
 */
class ConfigNotification {
    /**
     * @ORM\Id() @ORM\ManyToOne(targetEntity="App\Entity\User", inversedBy="configNotifications")
     * @ORM\JoinColumn(nullable=false)
     */
    private $user;

    /**
     * @ORM\Id() @ORM\ManyToOne(targetEntity="App\Entity\Notification")
     * @ORM\JoinColumn(nullable=false)
     */
    private $notif;

    /**
     * @ORM\Column(type="boolean")
     */
    private $site;

    /**
     * @ORM\Column(type="boolean")
     */
    private $email;

    public function getUser (): ?User {
        return $this->user;
    }

    public function setUser (?User $user): self {
        $this->user = $user;

        return $this;
    }

    public function getNotif (): ?Notification {
        return $this->notif;
    }

    public function setNotif (?Notification $notif): self {
        $this->notif = $notif;

        return $this;
    }

    public function getSite (): ?bool {
        return $this->site;
    }

    public function setSite (bool $site): self {
        $this->site = $site;

        return $this;
    }

    public function getEmail (): ?bool {
        return $this->email;
    }

    public function setEmail (bool $email): self {
        $this->email = $email;

        return $this;
    }
}
