<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\MemberRepository")
 */
class Member {
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\TargetGroup", inversedBy="members")
     * @ORM\JoinColumn(nullable=false)
     */
    private $targetGroup;

    /**
     * @ORM\ManyToOne(targetEntity="App\Entity\User", inversedBy="memberOfGroups")
     */
    private $user;

    /**
     * @ORM\Column(type="string", length=255, nullable=true)
     */
    private $fakeuser_name;

    public function getId (): ?int {
        return $this->id;
    }

    public function getTargetGroup (): ?TargetGroup {
        return $this->targetGroup;
    }

    public function setTargetGroup (?TargetGroup $targetGroup): self {
        $this->targetGroup = $targetGroup;

        return $this;
    }

    public function getUser (): ?User {
        return $this->user;
    }

    public function setUser (?User $user): self {
        $this->user = $user;

        return $this;
    }

    public function getFakeuserName (): ?string {
        return $this->fakeuser_name;
    }

    public function setFakeuserName (?string $fakeuser_name): self {
        $this->fakeuser_name = $fakeuser_name;

        return $this;
    }
}
