<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\ParticipantRepository")
 */
class Participant {
    /**
     * @ORM\Id() @ORM\ManyToOne(targetEntity="App\Entity\Wish", inversedBy="participants")
     * @ORM\JoinColumn(nullable=false)
     */
    private $wish;

    /**
     * @ORM\Id() @ORM\ManyToOne(targetEntity="App\Entity\User", inversedBy="participations")
     * @ORM\JoinColumn(nullable=false)
     */
    private $user;

    /**
     * @ORM\Column(type="boolean")
     */
    private $anonymous;

    /**
     * @ORM\Column(type="decimal", precision=11, scale=2, nullable=true)
     */
    private $price;

    /**
     * @ORM\Column(type="boolean")
     */
    private $paid;

    public function getWish (): ?Wish {
        return $this->wish;
    }

    public function setWish (?Wish $wish): self {
        $this->wish = $wish;

        return $this;
    }

    public function getUser (): ?User {
        return $this->user;
    }

    public function setUser (?User $user): self {
        $this->user = $user;

        return $this;
    }

    public function getAnonymous (): ?bool {
        return $this->anonymous;
    }

    public function setAnonymous (bool $anonymous): self {
        $this->anonymous = $anonymous;

        return $this;
    }

    public function getPrice (): ?string {
        return $this->price;
    }

    public function setPrice (?string $price): self {
        $this->price = $price;

        return $this;
    }

    public function getPaid (): ?bool {
        return $this->paid;
    }

    public function setPaid (bool $paid): self {
        $this->paid = $paid;

        return $this;
    }
}
