<?php

namespace App\Entity;

use DateTimeInterface;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="App\Repository\UserNotificationRepository")
 */
class UserNotification {
    /**
     * @ORM\Id() @ORM\ManyToOne(targetEntity="App\Entity\User", inversedBy="notifications")
     * @ORM\JoinColumn(nullable=false)
     */
    private $user;

    /**
     * @ORM\Id() @ORM\ManyToOne(targetEntity="App\Entity\Notification")
     * @ORM\JoinColumn(nullable=false)
     */
    private $notif;

    /**
     * @ORM\Column(type="datetime")
     */
    private $date;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $description;

    /**
     * @ORM\Column(type="boolean")
     */
    private $seen;

    public function getUser (): ?User {
        return $this->user;
    }

    public function setUser (?User $user): self {
        $this->user = $user;

        return $this;
    }

    public function getNotif (): ?Notification {
        return $this->notif;
    }

    public function setNotif (?Notification $notif): self {
        $this->notif = $notif;

        return $this;
    }

    public function getDate (): ?DateTimeInterface {
        return $this->date;
    }

    public function setDate (DateTimeInterface $date): self {
        $this->date = $date;

        return $this;
    }

    public function getDescription (): ?string {
        return $this->description;
    }

    public function setDescription (string $description): self {
        $this->description = $description;

        return $this;
    }

    public function getSeen (): ?bool {
        return $this->seen;
    }

    public function setSeen (bool $seen): self {
        $this->seen = $seen;

        return $this;
    }
}
